Last Comment Bug 815815 - Minimonth bold days get reloaded (again) if clicked on day, using 'Next' and 'Prev' in day view does not
: Minimonth bold days get reloaded (again) if clicked on day, using 'Next' and ...
Status: RESOLVED FIXED
: perf
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 2.4
Assigned To: Sebastian H. [:aryx][:archaeopteryx]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 14:41 PST by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2013-03-04 12:28 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch: only reload minimonth bold days when month changes, v1 (1.32 KB, patch)
2012-12-02 15:54 PST, Sebastian H. [:aryx][:archaeopteryx]
philipp: review+
Details | Diff | Review
fix the date comparison (1.17 KB, patch)
2013-03-01 14:10 PST, Markus Adrario [:Taraman]
philipp: review+
Details | Diff | Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-11-27 14:41:48 PST
Thunderbird 17.0 on Windows XP SP3 32 bit, Lightning 1.9

The bold days in the minimonth view (= containing events stored in a sqlite calendaer) get reloaded if clicked on day in the minimonth view. This doesn't happen when clicked on the 'Next' and 'Prev' buttons in the day view.
Comment 1 Sebastian H. [:aryx][:archaeopteryx] 2012-12-02 15:54:52 PST
Created attachment 687579 [details] [diff] [review]
patch: only reload minimonth bold days when month changes, v1
Comment 2 Philipp Kewisch [:Fallen] 2012-12-05 06:57:05 PST
Comment on attachment 687579 [details] [diff] [review]
patch: only reload minimonth bold days when month changes, v1

r=philipp
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-12-05 16:57:35 PST
https://hg.mozilla.org/comm-central/rev/004743024049
Comment 4 Markus Adrario [:Taraman] 2013-03-01 14:08:30 PST
When researching on another bug, I noticed that the busy-states of minimonth don't get resetted at all.

the above patch uses aDate.value which is not a member of jsDate.
It has to be valueOf()

patch ist following.
Comment 5 Markus Adrario [:Taraman] 2013-03-01 14:10:46 PST
Created attachment 720125 [details] [diff] [review]
fix the date comparison

patch fixing the above comment
Comment 6 Philipp Kewisch [:Fallen] 2013-03-04 02:34:44 PST
Comment on attachment 720125 [details] [diff] [review]
fix the date comparison

Thanks for the patch, r=philipp
Comment 7 Markus Adrario [:Taraman] 2013-03-04 11:40:06 PST
Pushed to comm-central <http://hg.mozilla.org/comm-central/rev/>

-> FIXED
Comment 8 Markus Adrario [:Taraman] 2013-03-04 11:41:41 PST
https://hg.mozilla.org/comm-central/rev/15a78e72809d

Note You need to log in before you can comment on or make changes to this bug.